from django.urls import path

from container.views import ContainerListView, ContainerUpdateView, ContainerCreateView, ContainerDetailView, ContainerDeleteView, ContainerPrintLabelView, ContainerImportView
from container.views import ContainerTypeListView, ContainerTypeDetailView, ContainerTypeCreateView, ContainerTypeUpdateView, ContainerTypeDeleteView, ContainerTypeImportView

app_name = 'container'
urlpatterns = [
    path('', ContainerListView.as_view(), name='list'),
    path('<int:pk>/', ContainerDetailView.as_view(), name='detail'),
    path('add/', ContainerCreateView.as_view(), name='add'),
    path('import/', ContainerImportView.as_view(), name='container_import'),
    path('edit/<int:pk>/', ContainerUpdateView.as_view(), name='update'),
    path('label/<int:pk>/', ContainerPrintLabelView.as_view(), name='print_label'),
    path('delete/<int:pk>/', ContainerDeleteView.as_view(), name='delete'),
    path('type/', ContainerTypeListView.as_view(), name='container_type_list'),
    path('type/<int:pk>/', ContainerTypeDetailView.as_view(), name='container_type_detail'),
    path('type/add/', ContainerTypeCreateView.as_view(), name='container_type_add'),
    path('type/import/', ContainerTypeImportView.as_view(), name='container_type_import'),
    path('type/edit/<int:pk>/', ContainerTypeUpdateView.as_view(), name='container_type_update'),
    path('type/delete/<int:pk>/', ContainerTypeDeleteView.as_view(), name='container_type_delete'),
]

